<html xmlns="http://www.w3.org/1999/xhtml" lang="en"
      xmlns:f="http://xsd.helhum.io/ns/typo3/cms-fluid/master/ViewHelpers" data-namespace-typo3-fluid="true">

<fieldset class="o-form__section">

    <div class="o-form__item">
        <f:form.select class="o-form__field o-form__field--select   js-check-has-value"
                       id="vacany-type"
                       options="{vacancyTypes}"
                       optionLabelField="title"
                       prependOptionLabel="Stellenart"
                       property="vacancyType"/>

        <label class="o-form__label" for="vacany-type">
            Stellenart
            <span class="form__required">*</span>
        </label>
    </div>

    <div class="o-form__item">
        <f:form.textfield
            class="o-form__field o-form__field--text js-check-has-value"
            id="vacancy-title"
            property="title"
            required="1"/>
        <label class="o-form__label" for="vacancy-title">
            <f:translate key="tx_drkjobboard_domain_model_job.title"/>
            <span class="form__required">*</span>
        </label>
    </div>

    <div class="o-form__item">
        <f:form.textfield
            class="o-form__field o-form__field--text js-check-has-value"
            id="keywords"
            property="keywords"/>
        <label class="o-form__label" for="keywords">
            <f:translate key="tx_drkjobboard_domain_model_job.keywords"/>
            <span class="form__required">*</span>
        </label>
    </div>

    <div class="o-form__item-group">
        <div class="o-form__item   t-medium-12   columns ">
            <f:form.textfield
                class="o-form__field o-form__field--text js-check-has-value"
                id="starttime"
                property="starttime"
                value="{job.starttime->f:format.date(format: 'd.m.Y')}"
                required="1"/>
            <label class="o-form__label" for="starttime">
                Veröffentlichen am
                <span class="form__required">*</span>
            </label>
        </div>

        <div class="o-form__item   t-medium-12   columns is-last-in-row ">
            <f:form.textfield
                class="o-form__field o-form__field--text js-check-has-value"
                id="endtime"
                property="endtime"
                value="{job.endtime->f:format.date(format: 'd.m.Y')}"
                required="1"/>
            <label class="o-form__label" for="endtime">
                Löschdatum
                <span class="form__required">*</span>
            </label>
        </div>
    </div>
</fieldset>

<fieldset class="o-form__section">
    <h3 class="o-form__section-headline">
        Arbeitgeber / Dienstsitz
    </h3>

    <div class="o-form__item-group">
        <div class="o-form__item   t-medium-24   columns is-last-in-row">
            <f:form.textfield
                class="o-form__field o-form__field--text js-check-has-value"
                id="employer"
                property="employer"
                required="1"/>
            <label class="o-form__label" for="employer">
                <f:translate key="tx_drkjobboard_domain_model_job.employer"/>
                <span class="form__required">*</span>
            </label>
        </div>

        <div class="o-form__item   t-medium-8   columns ">
            <f:form.textfield
                class="o-form__field o-form__field--text js-check-has-value"
                id="postal_code"
                property="zip"
                value="{job.zip}"/>
            <label class="o-form__label" for="postal_code">
                Deutschland (PLZ)
            </label>
        </div>

        <div class="o-form__item   t-medium-8   columns">
            <f:form.textfield
                class="o-form__field o-form__field--text js-check-has-value"
                id="place_name"
                property="city"
                value="{job.city}"/>
            <label class="o-form__label" for="place_name">
                Deutschland (Ortsname)
            </label>
        </div>

        <div class="o-form__item   t-medium-8   columns  is-last-in-row">
            <f:form.textfield
                class="o-form__field o-form__field--text js-check-has-value"
                id="location_international"
                name="locationHelperInternational"
                value="{job.locationInternational}"
                placeholder="Wird dieses Feld ausgefüllt überschreibt es das darüber!"/>
            <label class="o-form__label" for="location_international">
                international (Ortsname)
            </label>
        </div>
    </div>
</fieldset>

<fieldset class="o-form__section">
    <h3 class="o-form__section-headline">
        <f:translate key="tx_drkjobboard_domain_model_job.vacancy"/>
    </h3>
    <f:comment><!--
    <div class="fieldGroup">
        <div class="field job-zipcode">
            <label>Dienstsitz Deutschland (PLZ)</label>
            <span id="job_city_autocomplete"
                  data-url="/ueber-uns/stellenboerse/stellenboerse-hauptamtlich.html?type=8033" class="blockfieldgroup"
                  style="width: 50%;">
                <f:form.textfield name="locationHelperPlz" value="{postal_code}"
                                  class="{f:if(condition: '{0:\'{error}\'} == {0:\'place_name_error\'}', then: 'f3-form-error')}"/>
            </span>
        </div>
        <div class="field job-city">
            <label for="locationVisible">
                Dienstsitz Deutschland (Ortsname)
            </label>

            <div id="job_city_autocomplete_target" class="input-suggest-wrap">
                <f:form.textfield name="locationHelper" value="{place_name}" id="locationVisible"
                                  additionalAttributes="{ readonly: 'readonly' }"
                                  class="{f:if(condition: '{0:\'{error}\'} == {0:\'place_name_error\'}', then: 'f3-form-error')}"/>
                <ul class="input-suggest-layer">
                    <li class="suggestion">%suggestion%</li>
                </ul>
            </div>
        </div>
    </div>

    <label for="location_international">
        Dienstsitz international (Ortsname)
    </label>
    <f:form.textfield name="locationHelperInternational" value="{job.locationInternational}"
                      id="locationInternationalVisible"
                      placeholder="Wird dieses Feld ausgefüllt überschreibt es das darüber!"/>
    --></f:comment>

    <label class="h-hide" for="vacancy">
        <f:translate key="tx_drkjobboard_domain_model_job.vacancy"/>
        <span class="form__required">*</span>
    </label>
    <f:form.textarea
        class=""
        id="vacancy"
        property="vacancy"
        cols="40"
        rows="10"
    />

</fieldset>
<fieldset class="o-form__section">
    <h3 class="o-form__section-headline">
        Ansprechpartner*in
    </h3>
    <div class="o-form__item">
        <f:form.textarea
            class="o-form__field o-form__field--textarea js-check-has-value"
            id="contact"
            property="contact"/>
        <label class="o-form__label" for="contact">
            <f:translate key="tx_drkjobboard_domain_model_job.contact"/>
            <span class="form__required">*</span>
        </label>
    </div>

    <div class="o-form__item">
        <f:form.textfield
            class="o-form__field o-form__field--text js-check-has-value"
            id="contact-email"
            property="contactMail"/>
        <label class="o-form__label" for="contact-email">
            <f:translate key="tx_drkjobboard_domain_model_job.contact_mail"/>
            <span class="form__required">*</span>
        </label>
    </div>

    <div class="o-form__item-group">
        <div class="o-form__item   t-medium-12   columns">
            <f:link.action action="search" class="o-btn">
                <f:translate key="cancel"/>
            </f:link.action>
        </div>
        <div class="o-form__item   t-medium-6   columns">
            <f:form.button formaction="{f:uri.action(action: 'preview')}"
                           formtarget="_blank"
                           id="tx_jobboard_previewbutton"
                           class="o-btn   h-right">
                <f:translate key="job_preview"/>
            </f:form.button>
        </div>
        <div class="o-form__item   t-medium-6   columns   is-last-in-row">
            <f:form.submit value="{f:translate(key:'save')}" class="o-btn   h-right"/>
        </div>
    </div>
</fieldset>
</html>


